<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>FactoryController.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">tutorial-4</a> &gt; <a href="index.source.html" class="el_package">id.ac.ui.cs.advprog.tutorial4.factory.controller</a> &gt; <span class="el_source">FactoryController.java</span></div><h1>FactoryController.java</h1><pre class="source lang-java linenums">package id.ac.ui.cs.advprog.tutorial4.factory.controller;

import id.ac.ui.cs.advprog.tutorial4.factory.service.MenuService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;

import javax.servlet.http.HttpServletRequest;

@Controller
<span class="fc" id="L14">public class FactoryController {</span>
    @Autowired
    private MenuService menuService;
    
    @GetMapping(&quot;/menus&quot;)
    public String getmenus(Model model){
<span class="fc" id="L20">        model.addAttribute(&quot;RestaurantMenu&quot;, menuService.getMenus());</span>
<span class="fc" id="L21">        return &quot;factory/menus&quot;;</span>
    }

    @PostMapping(&quot;/newMenu&quot;)
    public String createMenu(HttpServletRequest request){
<span class="fc" id="L26">        String name = request.getParameter(&quot;name&quot;);</span>
<span class="fc" id="L27">        String type = request.getParameter(&quot;type&quot;);</span>
<span class="fc" id="L28">        menuService.createMenu(name, type);</span>
<span class="fc" id="L29">        return &quot;redirect:/menus&quot;;</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>